<?xml version="1.0" encoding="UTF-8"?>
<Flow xmlns="http://soap.sforce.com/2006/04/metadata" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <apiVersion>49.0</apiVersion>
    <choices>
        <name>DishPermissiontoEnterNeeded</name>
        <choiceText>Dish Permission to Enter Needed?</choiceText>
        <dataType>Boolean</dataType>
        <value>
            <elementReference>Dish_Permission_To_Enter_needed</elementReference>
        </value>
    </choices>
    <choices>
        <name>PPCommonAreas</name>
        <choiceText>P/P Common Areas Included?</choiceText>
        <dataType>Boolean</dataType>
        <value>
            <elementReference>P_P_Common_Areas_Included</elementReference>
        </value>
    </choices>
    <choices>
        <name>PrimaryReceiver</name>
        <choiceText>Primary Receiver</choiceText>
        <dataType>Boolean</dataType>
        <value>
            <elementReference>Primary_Receiver</elementReference>
        </value>
    </choices>
    <constants>
        <description>FO Request source</description>
        <name>conFront_Office_Request</name>
        <dataType>String</dataType>
        <value>
            <stringValue>Front_office_request__c</stringValue>
        </value>
    </constants>
    <decisions>
        <description>Search for existing FO Requests</description>
        <name>AnyFORequestExists</name>
        <label>AnyFORequestExists</label>
        <locationX>532</locationX>
        <locationY>140</locationY>
        <defaultConnector>
            <targetReference>Error1</targetReference>
        </defaultConnector>
        <defaultConnectorLabel>HasNotFORequest</defaultConnectorLabel>
        <rules>
            <name>HasFORequest</name>
            <conditionLogic>and</conditionLogic>
            <conditions>
                <leftValueReference>varFO.Name</leftValueReference>
                <operator>IsNull</operator>
                <rightValue>
                    <booleanValue>false</booleanValue>
                </rightValue>
            </conditions>
            <connector>
                <targetReference>ConfirmFOAccount</targetReference>
            </connector>
            <label>HasFORequest</label>
        </rules>
    </decisions>
    <decisions>
        <name>ChangeRareFields</name>
        <label>ChangeRareFields</label>
        <locationX>1402</locationX>
        <locationY>563</locationY>
        <defaultConnector>
            <targetReference>CreateFTGRecordAsIS</targetReference>
        </defaultConnector>
        <defaultConnectorLabel>NoChangeofRareFields</defaultConnectorLabel>
        <rules>
            <name>ChangeRare</name>
            <conditionLogic>and</conditionLogic>
            <conditions>
                <leftValueReference>Yes_I_would_like_to_update_extra_fields</leftValueReference>
                <operator>EqualTo</operator>
                <rightValue>
                    <booleanValue>true</booleanValue>
                </rightValue>
            </conditions>
            <connector>
                <targetReference>Update_any_Extra_Fields</targetReference>
            </connector>
            <label>ChangeRareFields</label>
        </rules>
    </decisions>
    <decisions>
        <name>DefaultsOrNoDefaults</name>
        <label>DefaultsOrNoDefaults</label>
        <locationX>1166</locationX>
        <locationY>338</locationY>
        <defaultConnector>
            <targetReference>CreateFTGValues</targetReference>
        </defaultConnector>
        <defaultConnectorLabel>DoNotChangeDefaults</defaultConnectorLabel>
        <rules>
            <name>ChangeDefaults</name>
            <conditionLogic>and</conditionLogic>
            <conditions>
                <leftValueReference>YesIWouldLiketoUpdateDefaults</leftValueReference>
                <operator>EqualTo</operator>
                <rightValue>
                    <booleanValue>true</booleanValue>
                </rightValue>
            </conditions>
            <connector>
                <targetReference>FTG_Contract_Data_0</targetReference>
            </connector>
            <label>ChangeDefaults</label>
        </rules>
    </decisions>
    <description>Process for FTG Contracting</description>
    <dynamicChoiceSets>
        <name>AccessFieldsVideo</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Video_Exclusive__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>Alternate_State</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Alternate_State__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>Assignment</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Assignment__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>CoExistCompany</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Co_Exsist_Company__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>CoExists</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Co_Exists__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>DBSExclusive</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>DBS_Exclusive__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>DigitalBulk</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Digital_Bulk__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>EquipmentInstallation</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Equipment_Installation__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <description>Location of Equipment on Property</description>
        <name>EquipmentLocation</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Equipment_Location__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>EquipmentMaintenance</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Equipment_Maintenance__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>EquipmentOwners</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Equipment_Ownership__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>ExclusiveRightofEntry</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Exclusive_Right_of_Entry__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>ExclusiveRightofInfrastructure</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Exclusive_Access_Infastructure__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>FiberOpticSystem</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Fiber_Optic_System__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>HighSpeedData</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Internet__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>InternetExclusive</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Internet_Exclusive__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>MarketingExclusive</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Marketing_Exlusive__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <description>Electricity of Property</description>
        <name>Power</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Power__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <description>Renewal of Contract</description>
        <name>RenewalStatus</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Renewal_Status__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>ServiceType</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Service_Type__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>Show_Room_Arrount</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Show_Room_Arrount_s__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>showroomaccounts</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Show_Room_Arrount_s__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>ShowRooms</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Show_Room_Arrount_s__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
        <sortOrder>Asc</sortOrder>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>TerminationFee</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Early_Termination_Fee__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>TypeofSystem</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Type_of_System__c</picklistField>
        <picklistObject>DISH_Contract__c</picklistObject>
    </dynamicChoiceSets>
    <interviewLabel>Create FTG Dish Contract {!$Flow.CurrentDateTime}</interviewLabel>
    <label>Create FTG Dish Contract</label>
    <processMetadataValues>
        <name>BuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processMetadataValues>
        <name>OriginBuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processType>Flow</processType>
    <recordCreates>
        <name>CompletedProcess</name>
        <label>CompletedProcess</label>
        <locationX>1661</locationX>
        <locationY>764</locationY>
        <assignRecordIdToReference>varTextNewContractID</assignRecordIdToReference>
        <connector>
            <targetReference>SuccessFinish</targetReference>
        </connector>
        <inputAssignments>
            <field>Account__c</field>
            <value>
                <elementReference>varFO.Account__r.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Alternate_State__c</field>
            <value>
                <elementReference>Alternative_State2</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Alternative_Address__c</field>
            <value>
                <elementReference>alternative_address</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Alternative_City__c</field>
            <value>
                <elementReference>Alternative_City</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Alternative_Zipcode__c</field>
            <value>
                <elementReference>Alternate_Zipcode</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Assignment__c</field>
            <value>
                <elementReference>Assignment</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Certificate_of_Occupancy_Date__c</field>
            <value>
                <elementReference>Certificate_of_Occupancy_Date_COO</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Co_Exists__c</field>
            <value>
                <elementReference>CoExists</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Co_Exsist_Company__c</field>
            <value>
                <elementReference>CoExistCompany</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Competitive_Pricing__c</field>
            <value>
                <elementReference>Competitive_Pricing</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Contact__c</field>
            <value>
                <elementReference>ContactName</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Contract_Start_Date__c</field>
            <value>
                <elementReference>Enter_Contract_Start_Date</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>DBS_Exclusive__c</field>
            <value>
                <elementReference>DBSExclusive</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Digital_Bulk__c</field>
            <value>
                <elementReference>DigitalBulk</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Dish_Permission_To_Enter_Needed__c</field>
            <value>
                <elementReference>DishPermissiontoEnterNeeded</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Early_Termination_Fee__c</field>
            <value>
                <elementReference>Early_Termination_Fee</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Equipment_Installation__c</field>
            <value>
                <elementReference>EquipmentInstallation</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Equipment_Location__c</field>
            <value>
                <elementReference>EquipmentLocation</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Equipment_Maintenance__c</field>
            <value>
                <elementReference>EquipmentMaintenance</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Equipment_Ownership__c</field>
            <value>
                <elementReference>EquipmentOwners</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Exclusive_Access_Infastructure__c</field>
            <value>
                <elementReference>Exclusive_Access_Infrastructure</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Exclusive_Marketing_Rights__c</field>
            <value>
                <elementReference>Marketing_Exclusive</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Exclusive_Right_of_Entry__c</field>
            <value>
                <elementReference>ExclusiveRightofEntry</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Fiber_Optic_System__c</field>
            <value>
                <elementReference>Fiber_Optic_System</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Front_Office_Request__c</field>
            <value>
                <elementReference>varFO.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Guaranteed_Installation_Date__c</field>
            <value>
                <elementReference>GuaranteedInstalldate2</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Install_Date__c</field>
            <value>
                <elementReference>Installation_Date</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Internet__c</field>
            <value>
                <elementReference>HighSpeedData</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Notes__c</field>
            <value>
                <elementReference>NOTES1</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Opportunity__c</field>
            <value>
                <elementReference>varFO.Opportunity__r.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>P_P_Common_Areas_Included__c</field>
            <value>
                <elementReference>PPCommonAreas</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Power__c</field>
            <value>
                <elementReference>Power</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Primary_Receiver__c</field>
            <value>
                <elementReference>PrimaryReceiver</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>RecordTypeId</field>
            <value>
                <stringValue>01260000000Q6rb</stringValue>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Period__c</field>
            <value>
                <elementReference>Renewal_Period</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Status__c</field>
            <value>
                <elementReference>RenewalStatus</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Term_years__c</field>
            <value>
                <elementReference>Renewal_Term_Years2</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Terms__c</field>
            <value>
                <elementReference>Renewal_Terms2</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Service_Type__c</field>
            <value>
                <elementReference>ServiceType</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Type_of_System__c</field>
            <value>
                <elementReference>TypeofSystem</elementReference>
            </value>
        </inputAssignments>
        <object>DISH_Contract__c</object>
    </recordCreates>
    <recordCreates>
        <name>CreateFTGRecordAsIS</name>
        <label>CreateFTGRecordAsIS</label>
        <locationX>1657</locationX>
        <locationY>571</locationY>
        <assignRecordIdToReference>varTextNewContractID</assignRecordIdToReference>
        <connector>
            <targetReference>SuccessFinish</targetReference>
        </connector>
        <inputAssignments>
            <field>Account__c</field>
            <value>
                <elementReference>varFO.Account__r.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Alternate_State__c</field>
            <value>
                <elementReference>Alternative_State2</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Alternative_Address__c</field>
            <value>
                <elementReference>alternative_address</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Alternative_City__c</field>
            <value>
                <elementReference>Alternative_City</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Alternative_Zipcode__c</field>
            <value>
                <elementReference>Alternate_Zipcode</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Co_Exists__c</field>
            <value>
                <elementReference>CoExists</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Co_Exsist_Company__c</field>
            <value>
                <elementReference>CoExistCompany</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Competitive_Pricing__c</field>
            <value>
                <elementReference>Competitive_Pricing</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Contact__c</field>
            <value>
                <elementReference>ContactName</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Contract_Start_Date__c</field>
            <value>
                <elementReference>Enter_Contract_Start_Date</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>DBS_Exclusive__c</field>
            <value>
                <elementReference>DBSExclusive</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Digital_Bulk__c</field>
            <value>
                <elementReference>DigitalBulk</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Dish_Permission_To_Enter_Needed__c</field>
            <value>
                <elementReference>Dish_Permission_To_Enter_needed</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Equipment_Installation__c</field>
            <value>
                <elementReference>EquipmentInstallation</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Equipment_Location__c</field>
            <value>
                <elementReference>EquipmentLocation</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Equipment_Maintenance__c</field>
            <value>
                <elementReference>EquipmentMaintenance</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Equipment_Ownership__c</field>
            <value>
                <elementReference>EquipmentOwners</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Exclusive_Access_Infastructure__c</field>
            <value>
                <elementReference>ExclusiveRightofInfrastructure</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Exclusive_Marketing_Rights__c</field>
            <value>
                <elementReference>MarketingExclusive</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Exclusive_Right_of_Entry__c</field>
            <value>
                <elementReference>ExclusiveRightofEntry</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Front_Office_Request__c</field>
            <value>
                <elementReference>varFO.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Internet__c</field>
            <value>
                <elementReference>High_Speed_Data</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Notes__c</field>
            <value>
                <elementReference>NOTES1</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Opportunity__c</field>
            <value>
                <elementReference>varFO.Opportunity__r.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Primary_Receiver__c</field>
            <value>
                <elementReference>PrimaryReceiver</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>RecordTypeId</field>
            <value>
                <stringValue>01260000000Q6rb</stringValue>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Period__c</field>
            <value>
                <elementReference>Renewal_Period</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Status__c</field>
            <value>
                <elementReference>RenewalStatus</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Term_years__c</field>
            <value>
                <elementReference>Renewal_Term_Years2</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Terms__c</field>
            <value>
                <elementReference>Renewal_Terms2</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Service_Type__c</field>
            <value>
                <elementReference>Service_Type</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Type_of_System__c</field>
            <value>
                <elementReference>TypeofSystem</elementReference>
            </value>
        </inputAssignments>
        <object>DISH_Contract__c</object>
    </recordCreates>
    <recordCreates>
        <description>FTG Values</description>
        <name>CreateFTGValues</name>
        <label>CreateFTGValues</label>
        <locationX>1379</locationX>
        <locationY>346</locationY>
        <assignRecordIdToReference>varTextNewContractID</assignRecordIdToReference>
        <connector>
            <targetReference>SuccessFinish</targetReference>
        </connector>
        <inputAssignments>
            <field>Account__c</field>
            <value>
                <elementReference>varFO.Account__r.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Contact__c</field>
            <value>
                <elementReference>ContactName</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Contract_Start_Date__c</field>
            <value>
                <elementReference>Enter_Contract_Start_Date</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Equipment_Location__c</field>
            <value>
                <elementReference>EquipmentLocation</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Front_Office_Request__c</field>
            <value>
                <elementReference>varFO.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Notes__c</field>
            <value>
                <elementReference>NOTES1</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Opportunity__c</field>
            <value>
                <elementReference>varFO.Opportunity__r.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>RecordTypeId</field>
            <value>
                <stringValue>01260000000Q6rb</stringValue>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Period__c</field>
            <value>
                <elementReference>Renewal_Period</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Status__c</field>
            <value>
                <elementReference>RenewalStatus</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Term_years__c</field>
            <value>
                <elementReference>Renewal_Term_Years2</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Renewal_Terms__c</field>
            <value>
                <elementReference>Renewal_Terms2</elementReference>
            </value>
        </inputAssignments>
        <object>DISH_Contract__c</object>
    </recordCreates>
    <recordLookups>
        <description>All Approved FO Requests from the originating Opportunity</description>
        <name>getFrontOffice</name>
        <label>getFrontOffice</label>
        <locationX>198</locationX>
        <locationY>332</locationY>
        <assignNullValuesIfNoRecordsFound>false</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>GetOpportunity</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>Id</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>recordId</elementReference>
            </value>
        </filters>
        <object>Front_Office_Request__c</object>
        <outputAssignments>
            <assignToReference>varFO.Account__c</assignToReference>
            <field>Account__c</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>varFO.Id</assignToReference>
            <field>Id</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>varFO.Name</assignToReference>
            <field>Name</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>varFO.Opportunity__c</assignToReference>
            <field>Opportunity__c</field>
        </outputAssignments>
        <sortField>Id</sortField>
        <sortOrder>Asc</sortOrder>
    </recordLookups>
    <recordLookups>
        <name>GetOpportunity</name>
        <label>GetOpportunity</label>
        <locationX>366</locationX>
        <locationY>333</locationY>
        <assignNullValuesIfNoRecordsFound>false</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>AnyFORequestExists</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>Id</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>varFO.Opportunity__r.Id</elementReference>
            </value>
        </filters>
        <object>Opportunity</object>
        <outputAssignments>
            <assignToReference>varOPP.Id</assignToReference>
            <field>Id</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>varOPP.Name</assignToReference>
            <field>Name</field>
        </outputAssignments>
        <sortField>Id</sortField>
        <sortOrder>Asc</sortOrder>
    </recordLookups>
    <screens>
        <description>Confirm FO with Opportunity</description>
        <name>ConfirmFOAccount</name>
        <label>ConfirmFOAccount</label>
        <locationX>769</locationX>
        <locationY>341</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>true</allowPause>
        <connector>
            <targetReference>FTG_Contract_Data</targetReference>
        </connector>
        <fields>
            <name>ConfirmationFO</name>
            <fieldText>&lt;p&gt;Please verify that this is the correct Front Office Request and Opportunity for your new Dish Contract.  If yes, click Next or click Previous to choose another Front Office Request. &lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Confirm2</name>
            <fieldText>&lt;p&gt;&lt;span style=&quot;color: rgb(0, 0, 0); background-color: rgb(255, 255, 255);&quot;&gt;Opportunity Name: {!varOPP.Name}&lt;/span&gt;&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Front Office Request number: {!varFO.Name}&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;b&gt;Please find the Contact who will be negotiating this Contract on behalf of Property. &lt;/b&gt;They must be listed on Account.&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Contact</name>
            <extensionName>flowruntime:lookup</extensionName>
            <fieldType>ComponentInstance</fieldType>
            <inputParameters>
                <name>fieldApiName</name>
                <value>
                    <stringValue>Contact__c</stringValue>
                </value>
            </inputParameters>
            <inputParameters>
                <name>label</name>
                <value>
                    <stringValue>Lookup Contact For Dish Contract</stringValue>
                </value>
            </inputParameters>
            <inputParameters>
                <name>objectApiName</name>
                <value>
                    <stringValue>DISH_Contract__c</stringValue>
                </value>
            </inputParameters>
            <inputParameters>
                <name>recordId</name>
                <value>
                    <elementReference>ContactName</elementReference>
                </value>
            </inputParameters>
            <isRequired>true</isRequired>
            <outputParameters>
                <assignToReference>ContactName</assignToReference>
                <name>recordId</name>
            </outputParameters>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <screens>
        <name>Error1</name>
        <label>Error1</label>
        <locationX>785</locationX>
        <locationY>50</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>true</allowPause>
        <fields>
            <name>Error_1</name>
            <fieldText>&lt;p&gt;We cannot complete this process because there are not any Approved Front Office Requests attached to this Opportunity.&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <screens>
        <name>FTG_Contract_Data</name>
        <label>FTG Contract Data</label>
        <locationX>950</locationX>
        <locationY>336</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>true</allowPause>
        <connector>
            <targetReference>DefaultsOrNoDefaults</targetReference>
        </connector>
        <fields>
            <name>ChooseFields</name>
            <fieldText>&lt;p&gt;Enter Standard Contract Data&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Enter_Contract_Start_Date</name>
            <dataType>Date</dataType>
            <defaultValue>
                <elementReference>$Flow.CurrentDate</elementReference>
            </defaultValue>
            <fieldText>Enter Contract Start Date</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>EquipmentLocat</name>
            <choiceReferences>EquipmentLocation</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Equipment Location</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>RenewalStat</name>
            <choiceReferences>RenewalStatus</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Renewal Status</fieldText>
            <fieldType>DropdownBox</fieldType>
            <helpText>&lt;p&gt;How will Contract renew?&lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Renewal_Term_Years2</name>
            <dataType>Number</dataType>
            <fieldText>Renewal Term (Years)</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>false</isRequired>
            <scale>0</scale>
        </fields>
        <fields>
            <name>Renewal_Period</name>
            <dataType>Number</dataType>
            <fieldText>Renewal Period</fieldText>
            <fieldType>InputField</fieldType>
            <helpText>&lt;p&gt;Number of Periods for Renewal (Ex: Agreement automatically renews for five (5) successive one year periods.) &lt;/p&gt;</helpText>
            <isRequired>false</isRequired>
            <scale>0</scale>
        </fields>
        <fields>
            <name>Renewal_Terms2</name>
            <fieldText>Renewal Terms</fieldText>
            <fieldType>LargeTextArea</fieldType>
            <isRequired>false</isRequired>
        </fields>
        <fields>
            <name>NOTES1</name>
            <fieldText>Notes</fieldText>
            <fieldType>LargeTextArea</fieldType>
            <isRequired>false</isRequired>
        </fields>
        <fields>
            <name>Conclude</name>
            <fieldText>&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Other fields are auto-populated with Default values or Front Office Request information.  Would you like to review and change default fields?&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>YesIWouldLiketoUpdateDefaults</name>
            <dataType>Boolean</dataType>
            <defaultValue>
                <booleanValue>false</booleanValue>
            </defaultValue>
            <fieldText>Yes, I Would Like to Update Default Values</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>FieldsToShow</name>
            <fieldText>&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Default Fields to Change:&lt;/span&gt;&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;ul&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Alternative Address&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Assignment&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Service Type&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;High Speed Data&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Contract Information &lt;/span&gt;&lt;ul&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Competitive Pricing?&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Permission to Enter?&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Common Areas Included?&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Exclusivity Fields&lt;/span&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Equipment Ownership&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Type of System&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Digital Bulk &lt;/span&gt;&lt;/li&gt;&lt;/ul&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <screens>
        <name>FTG_Contract_Data_0</name>
        <label>FTG Contract Data</label>
        <locationX>1187</locationX>
        <locationY>563</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>true</allowPause>
        <connector>
            <targetReference>ChangeRareFields</targetReference>
        </connector>
        <fields>
            <name>ChooseFields_0</name>
            <fieldText>&lt;p&gt;Enter and Update Additional Contract Data.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;b&gt;Alternative Address - Additional Notices Sent (Optional)&lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>alternative_address</name>
            <dataType>String</dataType>
            <defaultValue>
                <elementReference>alternative_address</elementReference>
            </defaultValue>
            <fieldText>Alternative Address</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>false</isRequired>
            <validationRule>
                <errorMessage>&lt;p&gt;&lt;span style=&quot;background-color: rgb(255, 255, 255); color: rgb(62, 62, 60);&quot;&gt;Please enter less than 40 characters for Alternative Address.&lt;/span&gt;&lt;/p&gt;</errorMessage>
                <formulaExpression>LEN({!alternative_address}) &lt; 40</formulaExpression>
            </validationRule>
        </fields>
        <fields>
            <name>Alternative_City</name>
            <dataType>String</dataType>
            <defaultValue>
                <elementReference>Alternative_City</elementReference>
            </defaultValue>
            <fieldText>Alternative City</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>true</isRequired>
            <validationRule>
                <errorMessage>&lt;p&gt;Please enter less than 40 characters for Alternative City.&lt;/p&gt;</errorMessage>
                <formulaExpression>LEN({!Alternative_City}) &lt; 40</formulaExpression>
            </validationRule>
            <visibilityRule>
                <conditionLogic>or</conditionLogic>
                <conditions>
                    <leftValueReference>alternative_address</leftValueReference>
                    <operator>IsNull</operator>
                    <rightValue>
                        <booleanValue>false</booleanValue>
                    </rightValue>
                </conditions>
                <conditions>
                    <leftValueReference>Alternative_City</leftValueReference>
                    <operator>IsNull</operator>
                    <rightValue>
                        <booleanValue>false</booleanValue>
                    </rightValue>
                </conditions>
                <conditions>
                    <leftValueReference>Alternate_Zipcode</leftValueReference>
                    <operator>EqualTo</operator>
                    <rightValue>
                        <booleanValue>false</booleanValue>
                    </rightValue>
                </conditions>
            </visibilityRule>
        </fields>
        <fields>
            <name>Alternative_State2</name>
            <choiceReferences>Alternate_State</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Alternative State</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
            <visibilityRule>
                <conditionLogic>or</conditionLogic>
                <conditions>
                    <leftValueReference>alternative_address</leftValueReference>
                    <operator>IsNull</operator>
                    <rightValue>
                        <booleanValue>false</booleanValue>
                    </rightValue>
                </conditions>
                <conditions>
                    <leftValueReference>Alternative_City</leftValueReference>
                    <operator>IsNull</operator>
                    <rightValue>
                        <booleanValue>false</booleanValue>
                    </rightValue>
                </conditions>
                <conditions>
                    <leftValueReference>Alternate_Zipcode</leftValueReference>
                    <operator>IsNull</operator>
                    <rightValue>
                        <booleanValue>false</booleanValue>
                    </rightValue>
                </conditions>
            </visibilityRule>
        </fields>
        <fields>
            <name>Alternate_Zipcode</name>
            <dataType>String</dataType>
            <defaultValue>
                <elementReference>Alternate_Zipcode</elementReference>
            </defaultValue>
            <fieldText>Alternative Zipcode</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>false</isRequired>
            <validationRule>
                <errorMessage>&lt;p&gt;&lt;span style=&quot;color: rgb(62, 62, 60); background-color: rgb(255, 255, 255);&quot;&gt;Please enter only 5 numbers for Alternative Zipcode.&lt;/span&gt;&lt;/p&gt;</errorMessage>
                <formulaExpression>(ISNUMBER({!Alternate_Zipcode}) &amp;&amp; (LEN({!Alternate_Zipcode}) = 5))</formulaExpression>
            </validationRule>
            <visibilityRule>
                <conditionLogic>or</conditionLogic>
                <conditions>
                    <leftValueReference>alternative_address</leftValueReference>
                    <operator>IsNull</operator>
                    <rightValue>
                        <booleanValue>false</booleanValue>
                    </rightValue>
                </conditions>
                <conditions>
                    <leftValueReference>Alternative_City</leftValueReference>
                    <operator>IsNull</operator>
                    <rightValue>
                        <booleanValue>false</booleanValue>
                    </rightValue>
                </conditions>
            </visibilityRule>
        </fields>
        <fields>
            <name>Contract_Data_Services</name>
            <fieldText>&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;b&gt;Services&lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Service_Type</name>
            <choiceReferences>ServiceType</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Service Type</fieldText>
            <fieldType>DropdownBox</fieldType>
            <helpText>&lt;p&gt;For FTG the choice is typically Bulk&lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>High_Speed_Data</name>
            <choiceReferences>HighSpeedData</choiceReferences>
            <dataType>String</dataType>
            <fieldText>High Speed Data</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Competitive_Pricing</name>
            <dataType>Boolean</dataType>
            <defaultValue>
                <elementReference>Competitive_Pricing</elementReference>
            </defaultValue>
            <fieldText>Competitive Pricing?</fieldText>
            <fieldType>InputField</fieldType>
            <helpText>&lt;p&gt;Owner/manager requests Nationwide Competitive Pricing&lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Dish_Permission_To_Enter_needed</name>
            <dataType>Boolean</dataType>
            <defaultValue>
                <elementReference>DishPermissiontoEnterNeeded</elementReference>
            </defaultValue>
            <fieldText>Dish Permission to Enter Needed?</fieldText>
            <fieldType>InputField</fieldType>
            <helpText>&lt;p&gt;Dish shall not enter guest units without receiving permission from Owner.&lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Primary_Receiver</name>
            <dataType>Boolean</dataType>
            <defaultValue>
                <elementReference>PrimaryReceiver</elementReference>
            </defaultValue>
            <fieldText>Primary Receiver</fieldText>
            <fieldType>InputField</fieldType>
            <helpText>&lt;p&gt;Dish is providing the primary receivers for Units?&lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>P_P_Common_Areas_Included</name>
            <dataType>Boolean</dataType>
            <defaultValue>
                <elementReference>PPCommonAreas</elementReference>
            </defaultValue>
            <fieldText>P/P Common Areas Included?</fieldText>
            <fieldType>InputField</fieldType>
            <helpText>&lt;p&gt;Are there Common areas using TV services? &lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Access</name>
            <fieldText>&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;b&gt;Access&lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>DBS_Exclusive</name>
            <choiceReferences>DBSExclusive</choiceReferences>
            <dataType>String</dataType>
            <fieldText>DBS Exclusive</fieldText>
            <fieldType>DropdownBox</fieldType>
            <helpText>&lt;p&gt;Direct Broadcast Satellite is exclusive to Dish? &lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Co_Exists</name>
            <choiceReferences>CoExists</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Co-Exists</fieldText>
            <fieldType>DropdownBox</fieldType>
            <helpText>&lt;p&gt;What other Company is being used on property for video/internet? &lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Co_Exist_Company</name>
            <choiceReferences>CoExistCompany</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Co-Exist Company</fieldText>
            <fieldType>DropdownBox</fieldType>
            <helpText>&lt;p&gt;Choose Co-Existing Company on property.&lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Exclusive_Right_of_Entry</name>
            <choiceReferences>ExclusiveRightofEntry</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Exclusive Right of Entry</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Exclusive_Access_Infrastructure</name>
            <choiceReferences>ExclusiveRightofInfrastructure</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Exclusive Access Infrastructure</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Marketing_Exclusive</name>
            <choiceReferences>MarketingExclusive</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Marketing Exclusive</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>EquipmentFields</name>
            <fieldText>&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;b&gt;Equipment&lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Equipment_Ownership</name>
            <choiceReferences>EquipmentOwners</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Equipment Ownership</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Equipment_Maintenance</name>
            <choiceReferences>EquipmentMaintenance</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Equipment Maintenance</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Equipment_Installation</name>
            <choiceReferences>EquipmentInstallation</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Equipment Installation</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Type_of_System</name>
            <choiceReferences>TypeofSystem</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Type of System</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Digital_Bulk</name>
            <choiceReferences>DigitalBulk</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Digital Bulk</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Conclude2</name>
            <fieldText>&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Remaining Fields are rarely updated or used.  Select checkbox below to review and make changes.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Yes_I_would_like_to_update_extra_fields</name>
            <dataType>Boolean</dataType>
            <defaultValue>
                <booleanValue>false</booleanValue>
            </defaultValue>
            <fieldText>Yes, I would like to update extra fields.</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>MoreAdditionalFields</name>
            <fieldText>&lt;p&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Rare Fields to be Changed: &lt;/span&gt;&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;ul&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Guaranteed Install Date&lt;/span&gt;&lt;ul&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Install Date&lt;/span&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Certificate of Occupancy (Phase Build)&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Termination Fees&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Fiber Optic System&lt;/span&gt;&lt;/li&gt;&lt;li&gt;&lt;span style=&quot;font-size: 11px;&quot;&gt;Power&lt;/span&gt;&lt;/li&gt;&lt;/ul&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <screens>
        <description>Dish Contract</description>
        <name>FTG_Intake_Process</name>
        <label>FTG Intake Process</label>
        <locationX>539</locationX>
        <locationY>342</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>true</allowPause>
        <fields>
            <name>Welcome</name>
            <fieldText>&lt;p&gt;Build new FTG Contract - please choose SVP/EVP Approved Front Office Request&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Front_Office_Request</name>
            <extensionName>flowruntime:lookup</extensionName>
            <fieldType>ComponentInstance</fieldType>
            <inputParameters>
                <name>fieldApiName</name>
                <value>
                    <stringValue>Front_Office_Request__c</stringValue>
                </value>
            </inputParameters>
            <inputParameters>
                <name>label</name>
                <value>
                    <stringValue>Approved Front Office Request</stringValue>
                </value>
            </inputParameters>
            <inputParameters>
                <name>objectApiName</name>
                <value>
                    <stringValue>DISH_Contract__c</stringValue>
                </value>
            </inputParameters>
            <isRequired>true</isRequired>
            <outputParameters>
                <assignToReference>varFO.Id</assignToReference>
                <name>recordId</name>
            </outputParameters>
            <outputParameters>
                <assignToReference>varFO.Name</assignToReference>
                <name>recordName</name>
            </outputParameters>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <screens>
        <name>SuccessFinish</name>
        <label>SuccessFinish</label>
        <locationX>1980</locationX>
        <locationY>512</locationY>
        <allowBack>false</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>false</allowPause>
        <fields>
            <name>SuccessFinishMsg</name>
            <fieldText>&lt;p&gt;Success!  FTG Contract has been created.  &lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Please review and Submit for Approval.  &lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;a href=&quot;/lightning/r/DISH_Contract__c/{!varTextNewContractID}/view&quot; target=&quot;_blank&quot;&gt;Click to View New Dish Contract&lt;/a&gt; &amp;amp; Close this Browser page.&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <screens>
        <name>Test</name>
        <label>Test</label>
        <locationX>52</locationX>
        <locationY>466</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>true</allowPause>
        <fields>
            <name>DisplayTest</name>
            <fieldText>&lt;p&gt;Record 1: {!recordId}&lt;/p&gt;&lt;p&gt;Record 1.2: {!recordId2.Id}&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <screens>
        <name>Update_any_Extra_Fields</name>
        <label>Update any Rare Fields</label>
        <locationX>1400</locationX>
        <locationY>764</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>true</allowPause>
        <connector>
            <targetReference>CompletedProcess</targetReference>
        </connector>
        <fields>
            <name>UpdateRARE</name>
            <fieldText>&lt;p&gt;Update fields from Default to new status.  Important to note that most of these choices are rare in the case of FTG Contract.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;b&gt;Contract Data&lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Contract_Assignment</name>
            <choiceReferences>Assignment</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Contract Assignment</fieldText>
            <fieldType>DropdownBox</fieldType>
            <helpText>&lt;p&gt;Usually One-Way Contract; Other options used when Owners change on Property.&lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>GuaranteedInstalldate2</name>
            <dataType>Boolean</dataType>
            <defaultValue>
                <booleanValue>false</booleanValue>
            </defaultValue>
            <fieldText>Guaranteed Install Date?</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Installation_Date</name>
            <dataType>Date</dataType>
            <fieldText>Installation Date</fieldText>
            <fieldType>InputField</fieldType>
            <helpText>&lt;p&gt;If Yes in &quot;Guaranteed Installation Date&quot; enter the exact date for Installation.&lt;/p&gt;</helpText>
            <isRequired>true</isRequired>
            <visibilityRule>
                <conditionLogic>and</conditionLogic>
                <conditions>
                    <leftValueReference>GuaranteedInstalldate2</leftValueReference>
                    <operator>EqualTo</operator>
                    <rightValue>
                        <booleanValue>true</booleanValue>
                    </rightValue>
                </conditions>
            </visibilityRule>
        </fields>
        <fields>
            <name>Certificate_of_Occupancy_Date_COO</name>
            <dataType>Date</dataType>
            <fieldText>Certificate of Occupancy Date (COO)</fieldText>
            <fieldType>InputField</fieldType>
            <helpText>&lt;p&gt;For Phase Build cases, when COO is received enter date here. &lt;/p&gt;</helpText>
            <isRequired>false</isRequired>
        </fields>
        <fields>
            <name>Equipment3</name>
            <fieldText>&lt;p&gt;&lt;b&gt;Equipment&lt;span class=&quot;ql-cursor&quot;&gt;﻿&lt;/span&gt;&lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Fiber_Optic_System</name>
            <choiceReferences>FiberOpticSystem</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Fiber Optic System</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Powe1</name>
            <choiceReferences>Power</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Power</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>terminationinfo</name>
            <fieldText>&lt;p&gt;&lt;b&gt;Termination Information&lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Early_Termination_Fee</name>
            <choiceReferences>TerminationFee</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Early Termination Fee?</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <start>
        <locationX>69</locationX>
        <locationY>30</locationY>
        <connector>
            <targetReference>getFrontOffice</targetReference>
        </connector>
    </start>
    <status>Active</status>
    <variables>
        <name>Contact1</name>
        <dataType>String</dataType>
        <isCollection>true</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
    </variables>
    <variables>
        <name>ContactName</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
    </variables>
    <variables>
        <name>FrontOfficeText</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
    </variables>
    <variables>
        <name>Opportunity</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Opportunity</objectType>
    </variables>
    <variables>
        <name>recordId</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
    </variables>
    <variables>
        <name>recordId2</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>false</isOutput>
        <objectType>Front_Office_Request__c</objectType>
    </variables>
    <variables>
        <name>RenewalTerm</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
    </variables>
    <variables>
        <description>Approved Front Office Request</description>
        <name>varFO</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Front_Office_Request__c</objectType>
    </variables>
    <variables>
        <description>Opportunity that starts process</description>
        <name>varOPP</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Opportunity</objectType>
    </variables>
    <variables>
        <name>varTextNewContractID</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
    </variables>
</Flow>
